# Class LayeredDigraphEdge`Unindexed`

GoJS® Diagramming Components
version 3.0.7
by Northwoods Software®

#### Hierarchy

- LayoutEdge
  - LayeredDigraphEdge

This holds LayeredDigraphLayout-specific information about Links.

This class inherits from LayoutEdge.

#####
Index

### Constructors

constructor

### Accessors

forest
fromVertex
portFromColOffset
portFromPos
portToColOffset
portToPos
rev
toVertex
valid

#####
Inherited Index

### Accessors

LayoutEdge.data
LayoutEdge.link
LayoutEdge.network

### Methods

LayoutEdge.commit
LayoutEdge.getOtherVertex

## Constructors

### constructor

- new LayeredDigraphEdge(network: LayeredDigraphNetwork): LayeredDigraphEdge

- #### Parameters

  - ##### network: LayeredDigraphNetwork

  #### Returns LayeredDigraphEdge

## Accessors

### forest
: boolean

- True if the link is part of the depth first forest. The default value is false.

### fromVertex
: LayeredDigraphVertex

- Gets or sets the LayoutVertex that this edge comes from. Setting this property does not change any LayoutVertex.destinationEdges collection.

### portFromColOffset
: number

- Approximate column offset of the from port of the link from the from node column used in straightening. The default value is 0.

### portFromPos
: number

- Location of the port at the from node of the link. Allows the crossing matrix to correctly calculate the crossings for nodes with multiple ports. The default value is NaN.

  This property is also used to align link ports when using LayeredDigraphLayout.alignOption.

### portToColOffset
: number

- Approximate column offset of the to port of the link from the to node column used in straightening. The default value is 0.

### portToPos
: number

- Location of the port at the to node of the link. Allows the crossing matrix to correctly calculate the crossings for nodes with multiple ports. The default value is NaN.

  This property is also used to align link ports when using LayeredDigraphLayout.alignOption.

### rev
: boolean

- True if the link was reversed during cycle removal. The default value is false.

### toVertex
: LayeredDigraphVertex

- Gets or sets the LayoutVertex that this edge goes to. Setting this property does not change any LayoutVertex.sourceEdges collection.

### valid
: boolean

- True if the link is part of the proper digraph. The default value is false.

Copyright © 1998-2024 by Northwoods Software Corporation.